/** general **/
body{margin:0;padding:0;}
div,p,table,h1,h2,h3,h4,h5,h6{font-size:16px;color:#444;line-height:1.7em;font-family:'Open Sans';}
h1{font-size: 1.8em; line-height: 1.1em; margin-bottom: .4em;font-weight:700;}
h2{font-size: 1.5em; line-height: 1.3em; margin-bottom: .4em;font-weight:700;}
h3{font-size: 1.35em; line-height: 1.4em; margin-bottom: .6em;font-weight:700;}
h4{font-size: 1.2em; line-height: 1.4em; margin-bottom: .5em;}
h5{font-size: 1.1em; line-height: 1.4em; margin-bottom: .4em;}
h6{font-size: 1.1em; line-height: 1.4em; margin-bottom: .3em;}
p{margin: 0 0 1.3em 0;}
p strong, p.bold, p span.bold, p span strong{font-weight:700;}
hr{border: solid #ddd; border-width: 1px 0 0; clear: both; margin: .8em 0 2.2em; height: 0; }
a, a:visited {color:#0077be; text-decoration: none; outline: 0; transition:all 0.2s ease 0s;}
a:hover {color:#023858;text-decoration:underline;}
ul, ol { margin-bottom: 1.3em; margin-left: 30px; }
ul { list-style: disc outside;}
ol { list-style: decimal outside;}
ul ul, ul ol,
ol ol, ol ul { margin: 4px 0 5px 22px; font-size: .9em; }
ul ul li, ul ol li,
ol ol li, ol ul li { margin-bottom: 6px; list-style: circle outside; }
li { line-height: 1.5em; margin-bottom: .5em; }
li p { line-height: 1.5em; }
img{border:none;}

/** flexbox setup **/

.flex-container{
   display: flex;
   align-items: stretch;
   flex-flow: row nowrap;
   justify-content:flex-start;
   box-sizing: border-box;
   position:relative;
   width:100%;
}
.flex-container.flex-wrap{
   flex-flow: row wrap;
}
.flex-container > div{
   order:1;
   flex:0 1 auto;
   position:relative;
   box-sizing: border-box;
}

/** item detail **/

#shopPopBanner{position:relative;}

#shopPopBannerImg{display:block;width:100%;height:auto;}

#shopPopContainer{position:relative;padding:15px;max-width:1360px;margin:0px auto;box-sizing:border-box;}

#shopPopTopElements{text-align:center;}

#shopPopImgTextElements{margin:0px auto;box-sizing:border-box;}

#shopPopImgElements{float:left;width:100%;max-width:calc(50% - 50px);margin-right:50px;}

#shopPopImgEnclose{overflow:hidden;position:relative;width:100%;padding:0px;}

#shopPopImgDiv{position:relative;}

#shopPopImgDivInner{padding:0px;margin:0 auto;position:relative;width:100%;max-width:500px;height:auto;padding:0;}

.shopPopImg{display:none;margin:0 auto;width:100%;max-width:500px;height:auto;}

#shopPopImgTxt{background:url(https://cavcominc.com/_images/shared/_bkgds/white-80.png) repeat;position:absolute;bottom:0px;left:0px;z-index:900;font-weight:600;}

#shopPopImgTxt div{padding:4px 7px 3px 7px;text-align:center;}

#shopPopThumbsDiv{padding-top:7px;margin-bottom:9px;text-align:center;}

.shopPopThumb{display:inline-block;margin:5px 4px 0px 4px;}

.shopPopThumbImg{display:inline-block;border:1px solid #b2b2b2;cursor:pointer;opacity:.7;transition:all .35s;}
.shopPopThumbImg:hover{opacity:1;}

.shopPopTextGroup{padding:0px 0px 10px 0px;text-align:left;}

#shopPopTextLeft{float:left;width:50%;margin-right:0px;}

#shopPopItemTitleMobile{text-align:center;display:none;}

#shopPopDescription{font-size:.95em;line-height:1.6em;padding-top:12px;}

#shopPopExtras{font-size:1.2em;padding-bottom:10px;}

.shopPopTextDivider{clear:both;height:10px;margin-bottom:13px;border-bottom:1px solid #ccc;}

#shopPopBottomElements{margin:20px 0px;text-align:left;background:#eaeaea;overflow:hidden;}

label.shopPopTab{color:#4c4c4e;font-size:1.2em;line-height:1em;text-decoration:none;margin:0;padding:15px 23px 15px 23px;border:2px solid #eaeaea;border-right:none;display:inline-block;transition:all 0.2s ease 0s;cursor:pointer;}

label.shopPopTab:hover{color:#0077be;}

#shopPopTabsContent{border:2px solid #eaeaea;border-top:0;box-sizing:border-box;background:#fff;margin-left:auto;margin-right:auto;padding:22px 20px 20px 20px;box-sizing: border-box;}

#shopPopTabsContent div.shopPopTabContent{display:none;}

#shopPopTabsContent p, #shopPopDescription p{margin: 0 0 1em 0;}

#shopPopTabsContent hr{background:#999;margin-bottom:1em;}

/* accessories */

.shopTabsAccessories{flex-flow:row wrap;padding:15px;}
.shopTabsAccessories > div{width:33.33%;padding:15px;text-align:center;}
.shopTabsAccessories > div > a{display:block;color:#444;}
.shopTabsAccessories > div > a > div{position:relative;overflow:hidden;}
.shopTabsAccessories > div > a > div > img{display:block;margin:0 auto 15px auto;max-width:100%;height:auto;transition:all .4s;}
.shopTabsAccessories > div > a:hover{color:#0077be;text-decoration:none;}
.shopTabsAccessories > div > a:hover > div > img{transform:scale(1.1);}

/* applications */

.section-solutions-inner{text-align:center;padding:5px;}
.section-solutions-inner > div{width:calc(16.666% - 14px);margin:7px;border:1px solid #707070;background:#fff;cursor:pointer;transition:background 0.4s ease 0s;}
.section-solutions-inner div.section-solutions-title-block{background:none;border:none;}
.section-solutions-inner > div > a{display:block;text-decoration:none;padding:10px;}
.section-solutions-inner > div > a > div:first-child{background:#e7f0f6;border:2px solid #c4dae8;border-radius:50%;display:inline-block;margin:0 auto 14px auto;padding:8px;}
.section-solutions-inner > div > a > div > img{display:block;margin:0 auto;transition:transform 0.3s ease 0s;}
.section-solutions-inner > div > a > div{font-size:13px;font-weight:600;color:#0077be;line-height:1.3em;transition:color 0.3s ease 0s;}
.section-solutions-inner span.sup{top:-4px;}

.section-solutions-inner > div:hover{background:#0077be;}
.section-solutions-inner > div:hover > a > div{color:#fff;}
.section-solutions-inner > div:hover > a > div > img{transform:scale(1.2);}

/* selections */

.shopPopRadioControl{display:none;}

.shopPopImgRadio:nth-of-type(1):checked ~ #shopPopThumbsDiv label.shopPopThumb:nth-of-type(1) img.shopPopThumbImg,
.shopPopImgRadio:nth-of-type(2):checked ~ #shopPopThumbsDiv label.shopPopThumb:nth-of-type(2) img.shopPopThumbImg,
.shopPopImgRadio:nth-of-type(3):checked ~ #shopPopThumbsDiv label.shopPopThumb:nth-of-type(3) img.shopPopThumbImg,
.shopPopImgRadio:nth-of-type(4):checked ~ #shopPopThumbsDiv label.shopPopThumb:nth-of-type(4) img.shopPopThumbImg,
.shopPopImgRadio:nth-of-type(5):checked ~ #shopPopThumbsDiv label.shopPopThumb:nth-of-type(5) img.shopPopThumbImg,
.shopPopImgRadio:nth-of-type(6):checked ~ #shopPopThumbsDiv label.shopPopThumb:nth-of-type(6) img.shopPopThumbImg,
.shopPopImgRadio:nth-of-type(7):checked ~ #shopPopThumbsDiv label.shopPopThumb:nth-of-type(7) img.shopPopThumbImg,
.shopPopImgRadio:nth-of-type(8):checked ~ #shopPopThumbsDiv label.shopPopThumb:nth-of-type(8) img.shopPopThumbImg,
.shopPopImgRadio:nth-of-type(9):checked ~ #shopPopThumbsDiv label.shopPopThumb:nth-of-type(9) img.shopPopThumbImg,
.shopPopImgRadio:nth-of-type(10):checked ~ #shopPopThumbsDiv label.shopPopThumb:nth-of-type(10) img.shopPopThumbImg{
   outline:1px solid #0077be;border:1px solid #0077be;opacity:1;
}

.shopPopImgRadio:nth-of-type(1):checked ~ #shopPopImgEnclose img.shopPopImg:nth-of-type(1),
.shopPopImgRadio:nth-of-type(2):checked ~ #shopPopImgEnclose img.shopPopImg:nth-of-type(2),
.shopPopImgRadio:nth-of-type(3):checked ~ #shopPopImgEnclose img.shopPopImg:nth-of-type(3),
.shopPopImgRadio:nth-of-type(4):checked ~ #shopPopImgEnclose img.shopPopImg:nth-of-type(4),
.shopPopImgRadio:nth-of-type(5):checked ~ #shopPopImgEnclose img.shopPopImg:nth-of-type(5),
.shopPopImgRadio:nth-of-type(6):checked ~ #shopPopImgEnclose img.shopPopImg:nth-of-type(6),
.shopPopImgRadio:nth-of-type(7):checked ~ #shopPopImgEnclose img.shopPopImg:nth-of-type(7),
.shopPopImgRadio:nth-of-type(8):checked ~ #shopPopImgEnclose img.shopPopImg:nth-of-type(8),
.shopPopImgRadio:nth-of-type(9):checked ~ #shopPopImgEnclose img.shopPopImg:nth-of-type(9),
.shopPopImgRadio:nth-of-type(10):checked ~ #shopPopImgEnclose img.shopPopImg:nth-of-type(10){
   display:block;
}

.shopPopTabsRadio:nth-of-type(1):checked ~ #shopPopTabs label.shopPopTab:nth-of-type(1),
.shopPopTabsRadio:nth-of-type(2):checked ~ #shopPopTabs label.shopPopTab:nth-of-type(2),
.shopPopTabsRadio:nth-of-type(3):checked ~ #shopPopTabs label.shopPopTab:nth-of-type(3),
.shopPopTabsRadio:nth-of-type(4):checked ~ #shopPopTabs label.shopPopTab:nth-of-type(4),
.shopPopTabsRadio:nth-of-type(5):checked ~ #shopPopTabs label.shopPopTab:nth-of-type(5){
	color:#0077be;background:#fff;border-bottom:2px solid #fff;
}

.shopPopTabsRadio:nth-of-type(1):checked ~ #shopPopTabsContent div.shopPopTabContent:nth-of-type(1),
.shopPopTabsRadio:nth-of-type(2):checked ~ #shopPopTabsContent div.shopPopTabContent:nth-of-type(2),
.shopPopTabsRadio:nth-of-type(3):checked ~ #shopPopTabsContent div.shopPopTabContent:nth-of-type(3),
.shopPopTabsRadio:nth-of-type(4):checked ~ #shopPopTabsContent div.shopPopTabContent:nth-of-type(4),
.shopPopTabsRadio:nth-of-type(5):checked ~ #shopPopTabsContent div.shopPopTabContent:nth-of-type(5) {
	display: block;
}

.templateCodeDiv{background: #222;color: #fff;padding: 10px 15px 15px 15px;}
.templateCodeDiv textarea{width: 100%;height:58px;background:#222;color:#fff;padding:5px;}

/* media queries */

@media only screen and (max-width: 1299px) {
	#shopPopRelatedItems{max-width:100%;margin:0 auto;}
	#shopPopRelatedItems > div{width:calc(50% - 40px);margin:15px 20px 25px 20px;}
}

@media only screen and (max-width: 899px) {
	#shopPopRelatedItems > div{width:calc(50% - 34px);margin:15px 17px 18px 17px;}
	.section-solutions-inner > div{width:calc(25% - 14px);margin:7px;}
}

@media only screen and (max-width: 800px) { 
	#shopPopRelatedItems > div{width:calc(50% - 20px);margin:0 10px 20px 10px;}
	#shopPopImgElements{float:none;text-align:center;margin-right:auto;margin-left:auto;max-width:100%;}
	#shopPopThumbsDiv{margin-bottom:0px;}
	#shopPopExtras{text-align:center;}
	#shopPopTextLeft{float:none;width:100%;margin-right:0px;}
	#shopPopItemTitleMobile{font-size:1.6em;line-height:1.2em;text-align:center;}
	#shopPopItemTitle{display:none;}
	#shopPopItemTitleMobile{display:block;padding-top:10px;}
	#shopPopBottomElements{margin:0px;}
	.shopPopTextDivider{height:0px;}
}

@media only screen and (max-width: 767px) {
	#shopPopItemTitleMobile, #shopPopRelatedTitle, #shopItemTestimonials h2{font-size:1.4em;line-height:1.2em;}
   .shopTabsAccessories > div{width:50%;}
}

@media only screen and (max-width: 649px) {
   .section-solutions-inner > div{width:calc(33.333% - 14px);margin:7px;}
}  

@media only screen and (max-width: 549px) {
   .section-solutions-inner > div{width:calc(50% - 14px);margin:7px;}
   #applicationsTabContent .section-solutions-inner{padding:0;}
}

@media only screen and (max-width: 499px) {
   #shopPopRelatedItems:not(.three-tile-narrow) > div{width:calc(50% - 14px);margin:0 7px 20px 7px;}
   .shopTabsAccessories > div{width:100%;}
}

@media only screen and (max-width: 420px) {
	#shopPopItemTitleMobile, #shopPopRelatedTitle{font-size:1.3em;line-height:1.2em;}
	#shopPopItemTitleMobile{margin-bottom:10px;}
	#shopPopRelatedItems > div{width:calc(50% - 10px);margin:0 5px 20px 5px;}
}

/*** related items ***/
/*

   #shopPopRelatedElementsDivider{height:0px;}

   #shopPopRelatedElementsOuter{clear:both;}

   #shopPopRelatedElements{padding-top:2em;}

   #shopPopRelatedTitle{font-size:1.8em;font-weight:600;line-height:1.3em;padding:10px 0px 20px 10px;text-align:center;}

   #shopPopRelatedItems{display: flex;align-items: stretch;flex-flow: row wrap;justify-content:flex-start;box-sizing: border-box;position:relative;}

   #shopPopRelatedItems{justify-content:center;max-width:960px;margin:0 auto;}

   #shopPopRelatedItems > div{width:calc(50% - 40px);margin:15px 20px 25px 20px;}

   .shopItem > div{position:relative;box-sizing:border-box;box-shadow:0px 0px 6px rgba(0, 0, 0, 0.2);opacity:0;transition:all .7s ease 0s;transform:translateY(10px);max-width:540px;margin:auto;cursor:pointer;}

   .shopItemTitle, .shopItemPrice{position:absolute;z-index:100;background:url(https://cavcominc.com/_images/shared/_bkgds/white-80.png);}

   .shopItemThumbInset .shopItemTitle, .shopItemThumbInset .shopItemPrice{background:#fff;} 

   .shopItemTitle{font-size:1.2em;line-height:1.2em;font-weight:600;top:0;left:0;right:0;text-align:center;transition:all .5s ease 0s;padding:11px 15px;}

   .shopItemTitle > div{font-size:.75em;line-height:1.3em;font-weight:600;text-transform:uppercase;color:#0077be;padding-top:4px;}

   .shopItemPrice{bottom:0;left:0;right:0;font-size:.9em;line-height:1em;text-transform:uppercase;}

   .shopItemPrice > div{padding:16px 10px 13px 10px;font-weight:600; line-height: 1em;}

   .shopItemPrice > div.saleDisp{background:#f3d100;padding:16px 15px 13px 15px;font-weight:600;font-size:1em;line-height:1em;}

   .shopItemPrice > div.detailsDisp{transition:all .5s ease 0s;padding:15px 25px 15px 18px;font-weight:600;font-size:1em;line-height:1em;}

   .shopItemPrice > div.priceDisp{text-align:left;flex:2 1 auto;padding-left:24px;padding-right:12px;font-size:1.3em;line-height:1em;position:relative;top:-1px;}

   .shopItemPrice.shopItemSalePrice > div.priceDisp{padding-left:16px;}
   .shopItemPrice.shopItemSalePrice > div.priceDisp > span:first-of-type{color:#777;text-decoration:line-through;margin-right:12px;}
   .shopItemPrice.shopItemSalePrice > div.priceDisp > span:last-of-type{color:#bc2608;text-decoration:none;margin-right:0;}	

   .shopItemThumbEnclose{position:relative;overflow:hidden;}

   .shopItemPrice > div.detailsDisp.btnArrowAnim > span:last-child{top:calc(50% - 5px);right:16px;}

   .shopItemThumbEnclose .shopThumbImgDivBadge{display:none;}

   .shopItemThumb{width:100%;height:auto;transition:all .5s ease 0s;display:block;transform:scale(1.01);}

   .shopItem:not(.callout-image):hover .shopItemTitle{color:#0077be;}
   .shopItem:not(.callout-image):hover .shopItemThumbEnclose > img{transform:scale(1.05);}
   .shopItem:not(.callout-image):hover .shopItemPrice > div.detailsDisp{color:#fff;background:#0077be}
   .shopItem:not(.callout-image):hover .shopItemPrice > div.detailsDisp:hover{background:#00568a;}
   .shopItem:not(.callout-image):hover .btnArrowAnim > span:first-child{transform:translateX(-6px);}
   .shopItem:not(.callout-image):hover .btnArrowAnim > span:last-child{transform:translateX(3px) rotate(-45deg);opacity:1;}

   .shopItem.animated-item > div{transform:translateY(0px);opacity:1;}
*/
